Name:		manaplus
Version:	1.1.5.1
Release:	%mkrel 5
Summary:	A client for Evol Online and The Mana World: 2D MMORPG
Group:		Games/Other
License:	GPLv2+
Url:		http://manaplus.evolonline.org/
Source0:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.bz2
# upstream patches from git://gitorious.org/manaplus/manaplus.git branch "mageiabranch" format-patched against v1.1.5.1
Patch0001:	0001-Fix-monsters-selection-if-monster-added-to-priority-.patch
Patch0002:	0002-Fix-chat-tab-size-issue-if-enabled-hiding-chat-input.patch
Patch0003:	0003-Improved-algorithm-for-cleaning-sdltext-cache.patch
Patch0004:	0004-Change-client-display-version-to-1.1.5.1.mageia1.patch
Patch0005:	0005-Add-spanish-help-translation.patch
Patch0006:	0006-Validate-update-host.patch
Patch0007:	0007-Add-check-for-update-files-path.patch

BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
Buildrequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:	physfs-devel
BuildRequires:	curl-devel
BuildRequires:	guichan-devel
BuildRequires:	libxml2-devel
BuildRequires:	libpng-devel
BuildRequires:	gettext-devel

Provides:	evolonline-client = %{version}-%{release}
Provides:	manaworld-client = %{version}-%{release}

Suggests:	mumble

%description
ManaPlus is extended client for Evol Online, The Mana World and similar
servers based on eAthena fork.
As a 2D style game, Evol Online aims to create a friendly environment where 
people can escape reality and interact with others while enjoying themselves 
through a fantasy style game.
The Mana World (TMW) is a serious effort to create an innovative free and 
open source MMORPG. TMW uses 2D graphics and aims to create a large and 
diverse interactive world.

%prep
%setup -q -n manaplus
%apply_patches

%build
autoreconf -i
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING docs/*.txt NEWS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/%{name}*




%changelog

* Mon Jan 09 2012 alien <alien> 1.1.5.1-5.mga1
+ Revision: 193572
- Check path for update files
- Validate the update host

* Fri May 13 2011 alien <alien> 1.1.5.1-4.mga1
+ Revision: 97725
- Change displayed client version to mageia
- Add spanish help translation

* Sun May 08 2011 alien <alien> 1.1.5.1-3.mga1
+ Revision: 96497
- Fix chat tab size when hiding chat input (upstream patch)
- Improve algorithm for cleaning sdltext cache (fixes memleak; upstream patch)

* Thu May 05 2011 alien <alien> 1.1.5.1-2.mga1
+ Revision: 95209
- Fix monsters selection if monster is added to priority list (patch from upstream)

* Sun May 01 2011 alien <alien> 1.1.5.1-1.mga1
+ Revision: 94054
- Update to version 1.1.5.1
- Fixes crash on a broken map

* Sun Apr 17 2011 alien <alien> 1.1.4.17-1.mga1
+ Revision: 87336
- upgrade to 1.1.4.17

* Fri Apr 08 2011 alien <alien> 1.1.4.3-1.mga1
+ Revision: 82020
- Update to new version 1.1.4.3
- manaplus is now primarily for Evol Online, updating Summary and Description and add Provides
- suggests mumble

* Sat Feb 26 2011 alien <alien> 1.1.2.20-1.mga1
+ Revision: 61040
- Fix BuildRequires
- Fix configure part
- Remove unneeded mv files
- Remove BuildRoot
- use tmw spec file as basis
- imported package manaplus

